VisualEditor: Category changing in page doesn't cause footer to be updated on save
Closed, ResolvedPublic

Description

Do we need to trigger a re-render of the catlinks div? Can we?


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=52403

bzimport set Reference to bz48560.
Jdforrester-WMF created this task.Via LegacyMay 16 2013, 11:30 PM
Krinkle added a comment.Via ConduitJun 10 2013, 8:01 AM

It depends on what we get back from the server.

If we get back something that is compatible with what api.php?action=parse gives (prop.categorieshtml, from Skin::getCategories), which is what live preview in core uses as well, then we can just update it by replacing the old with the new html.

If we can't get that, we'll have to re-implement Skin::getCategories in javascript. However I'd like to avoid that since it is skin-specific (skins can do all kinds of weird stuff to it, hard to predict. Ideally this would fall under the parts of the page output (like mw-content-text, htmlhead and script loader) that has a fixed html layout that skins can't alter the html itself of (it has enough css hooks to style anyway they like, they shouldn't need to modify the html). But that's not the reality.

Oh wait, this isn't from the server (not MediaWiki, not Parsoid). I mean, it shouldn't. This is reflected live when editing the document. We'll have to do it in javascript somehow I'm afraid.

Jdforrester-WMF added a comment.Via ConduitJun 24 2013, 1:10 AM
  • Bug 50072 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitJul 11 2013, 3:34 PM
  • Bug 50737 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitNov 6 2013, 7:45 PM
  • Bug 56683 has been marked as a duplicate of this bug. ***
jayvdb added a comment.Via ConduitNov 14 2013, 12:33 AM

Note that the categories on the page are not refreshed even after multiple VE sessions. i.e. VE add category -> save -> VE add category -> save : results in a page that _displays_ only the categories at the beginning of the process.

Categories added via templates are also not displayed.

Jdforrester-WMF added a comment.Via ConduitDec 3 2013, 4:50 PM
  • Bug 57924 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitJan 12 2014, 2:29 PM

Change 107036 had a related patch set uploaded by Esanders:
Update categories HTML on page save

https://gerrit.wikimedia.org/r/107036

gerritbot added a comment.Via ConduitJan 13 2014, 6:35 PM

Change 107036 merged by jenkins-bot:
Update categories HTML on page save

https://gerrit.wikimedia.org/r/107036

Ryasmeen added a comment.Via ConduitJan 16 2014, 7:42 PM

Verified the fix on test 2

zeljkofilipin removed a subscriber: zeljkofilipin.Via WebDec 3 2014, 8:48 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.